Order Intake report
List orders with order date that matches request data.
Based on the Accept header the response will be base64 json encoded or a raw file.
application/octet-stream will return a binary file
application/json will return a json with the file content base64 encoded.
Required permissions: REPORTING
post/tenants/{tenantUid}/reports/orders
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
storeUidsstring[]Optional
Responses
200
Example response
post/tenants/{tenantUid}/reports/orders
POST /v2/tenants/{tenantUid}/reports/orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 125
{
"orderDate": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"storeUids": [
"text"
],
"orderStates": [
"OPEN"
]
}200
Example response
{
"items": [
{
"orderUid": "text",
"orderNumber": "text",
"orderDate": "2026-01-01T00:00:00.000Z",
"orderState": "OPEN",
"customerName": "text",
"store": {
"name": "text",
"storeUid": "text"
},
"createdBy": "text",
"orderTotal": 1
}
]
}Last updated
Was this helpful?

